Subject: bug#58440: 27.2; Exit Code on SIGINT is Zero, But shouldn't Be

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Oct 2022 08:34:47 +0200

Mattias Engdegård <[email-masked]> writes:

> What the correct value is a matter of debate. For instance, it could
> be argued that SIGINT to a GUI-only Emacs is to be interpreted as a
> 'please terminate normally' message, in which the exit code 0 may be
> appropriate.

That's true.  Perhaps it'd be instructive to check what other GUI
programs return on SIGINT?

Let's see...  gimp returned non-zero.  So did xterm.  And so did xeyes.

100% non-zero.  😁